Name:          cyrus-sasl
Version:       2.1.26
Release:       2mamba
Summary:       SASL Authentication Daemon for simple authentication and security
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://asg.web.cmu.edu/sasl/
Source0:       ftp://ftp.cyrusimap.org/cyrus-sasl/cyrus-sasl-%{version}.tar.gz
Source1:       saslauthd.service
Source2:       saslauthd.tmpfiles
Source3:       saslauthd.sysconfig
Patch0:        %{name}-2.1.21-gcc4.patch
Patch1:        %{name}-2.1.23-gcc44.patch
Patch2:        cyrus-sasl-2.1.25-db-5.1.patch
Patch3:        cyrus-sasl-2.1.25-db-5.1-2.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libdb51-devel
BuildRequires: libe2fs-devel
BuildRequires: libkrb5-devel
%if "%{stage1}" != "1"
BuildRequires: libopenldap-devel
%endif
BuildRequires: libopenssl-devel
BuildRequires: pam-devel
## AUTOBUILDREQ-END
Requires:      pam >= 0.77
%systemd_requires
Provides:      sasl
Obsoletes:     sasl
Requires:      libsasl2 = %{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
SASL is the Simple Authentication and Security Layer, a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating a  user to a server and for optionally negotiating protection of subsequent protocol interactions.
If its use is negotiated, a security layer is inserted between the protocol and the connection.

%package -n libsasl2
Group:         System/Libraries
Summary:       Libraries for SASL, the Simple Authentication and Security Layer
Provides:      libsasl
Obsoletes:     libsasl

%description -n libsasl2
SASL is the Simple Authentication and Security Layer, a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating a  user to a server and for optionally negotiating protection of subsequent protocol interactions.
If its use is negotiated, a security layer is inserted between the protocol and the connection.
This package contains the libsasl shared library.

%package -n libsasl2-devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      libsasl2 = %{version}-%{release}
Provides:      libsasl-devel
Obsoletes:     libsasl-devel

%description -n libsasl2-devel
SASL is the Simple Authentication and Security Layer, a method for adding authentication support to connection-based protocols.
To use SASL, a protocol includes a command for identifying and authenticating a user to a server and for optionally negotiating protection of subsequent protocol interactions.
If its use is negotiated, a security layer is inserted between the protocol and the connection.

This package contains static libraries and header files need for development.

%prep
%setup -q -n cyrus-sasl-%{version}
#%patch0 -p1
#%patch1 -p1
#%patch2 -p0
#%patch3 -p0
sed -i "s|db-4.7|db-5.1|" configure

%build
# replace the hardcoded occorrences of `/usr/local/{lib,include}'
# we don't want to see RPATH="/usr/local/lib" in 
# '/usr/sbin/sasldblistusers2` and '/usr/sbin/saslpasswd2'
sed -i 's,/usr/local/,/usr/,g' configure
%configure \
   --enable-anon \
   --enable-login \
   --enable-plain \
   --enable-cram \
   --enable-digest \
   --enable-otp \
   --enable-ntlm \
   --enable-krb4 \
   --with-pam \
   --with-ldap \
   --with-saslauthd=/run/saslauthd \
   --with-plugindir=%{_libdir}/sasl2 \
   --cache-file= \
   --with-bdb-incdir=%{_includedir}/db51

make

%install
[ %{buildroot} != / ] && rm -rf "%{buildroot}"
%makeinstall \
   sasldir=%{_libdir}/sasl2

install -D -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/saslauthd.service
install -D -m 0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/saslauthd.conf
install -D -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/sysconfig/saslauthd
install -d %{buildroot}%{_sysconfdir}/sasl2

%clean
[ %{buildroot} != / ] && rm -rf "%{buildroot}"

%post
if [ $1 -ge 1 ]; then
%tmpfiles_create %{name}
fi
%systemd_post %{name}
:

%preun
%systemd_preun %{name}
:

%postun
%systemd_postun_with_restart %{name}
:

%posttrans
# clean old sysv broken links
find /etc/rc[0-6].d/ -type l -xtype l -exec rm -f {} \;   
:

%post -n libsasl2 -p /sbin/ldconfig
%postun -n libsasl2 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/sasl2
%config(noreplace) %{_sysconfdir}/sysconfig/saslauthd
%{_sbindir}/pluginviewer
%{_sbindir}/saslauthd
%{_sbindir}/sasldblistusers2
%{_sbindir}/saslpasswd2
%{_sbindir}/testsaslauthd
%{_unitdir}/saslauthd.service
%{_tmpfilesdir}/saslauthd.conf
%{_mandir}/man8/saslauthd.*
%{_mandir}/man8/pluginviewer.8*
%{_mandir}/man8/sasldblistusers2.8*
%{_mandir}/man8/saslpasswd2.8*

%files -n libsasl2
%defattr(-,root,root)
%{_libdir}/libsasl2.so.*
%dir %{_libdir}/sasl2
%{_libdir}/sasl2/*.so.*
%{_libdir}/sasl2/*.so
%{_libdir}/sasl2/*.la
%doc AUTHORS COPYING

%files -n libsasl2-devel
%defattr(-,root,root)
%dir %{_includedir}/sasl
%{_includedir}/sasl/*
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libsasl2.pc
%{_mandir}/man3/*
%doc doc/*.txt doc/*.html
%doc ChangeLog NEWS README

%changelog
* Fri Feb 06 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.26-2mamba
- fix sysconfig file
- add /etc/sasl2 empty config directory

* Thu Feb 05 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.26-1mamba
- update to 2.1.26
- systemd support

* Mon Apr 28 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.25-3mamba
- rebuilt with --with-plugindir=%{_libdir}/sasl2 for x86_64

* Thu Apr 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.25-2mamba
- rebuilt with db 5.1 to fix version mismatch with postfix (with smtpd crash)

* Tue Apr 24 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.25-1mamba
- update to 2.1.25

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.23-2mamba
- rebuilt with openssl 1.0.0

* Wed Jun 10 2009 Automatic Build System <autodist@mambasoft.it> 2.1.23-1mamba
- automatic update by autodist

* Thu Jan 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.22-2mamba
- automatic rebuild by autodist

* Tue Jun 17 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.22-1mamba
- update to 2.1.22
- source package renamed to cyrus-sasl

* Fri Nov 04 2005 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 2.1.21-1qilnx
- update to version 2.1.21 by autospec
- CAN-2004-0884 security fix removed because merged upstream

* Thu Apr 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.1.19-5qilnx
- fixed security issue QSA-2005-051 (CAN-2004-0884).
  (note: CAN-2005-0373 already fixed in the 2.1.19 version)
- do not package unneded files in the documentation

* Thu Apr 14 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.1.19-4qilnx
- removed unneded requirements in the specfile preamble
- own /usr/lib/sasl2, /usr/include/sasl

* Fri Dec 24 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.1.19-3qilnx
- rebuild with new libe2fs-devel, libkrb5-devel packages
- added missing %%post, %%postup scriptlets

* Mon Dec 13 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.19-2qilnx
- documentation and man3 moved to devel package

* Thu Oct 28 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.19-1qilnx
- new version build
- linked against libdb42

* Fri Nov 21 2003 Davide Madrisan <davide.madrisan@qilinux.it> 2.1.15-4qilnx
- added missing requirements; specfile updates; added documentation

* Fri Nov 21 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.15-3qilnx
- plugins moved to main package (%{_libdir}/libsasl/*.{so,la})

* Fri Nov 14 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.15-2qilnx
- added more configure options (ntlm)

* Wed Sep 10 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.15-1qilnx
- rebuilt with new version
- added pam support and sasl package for sasl authentication daemon

* Thu May 08 2003 Alessandro Ramazzina <alessandro.ramazzina@qinet.it> 2.1.13-1qilnx
- creation of libsasl package
